"""make target non-nullable

Revision ID: db81e06df0ed
Revises: 2741a36d9182
Create Date: 2023-08-12 23:49:56.803715

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects.postgresql import JSONB

# revision identifiers, used by Alembic.
revision = "db81e06df0ed"
down_revision = "2741a36d9182"
branch_labels = None
depends_on = None


def jsonb_if_postgresql_else_json():
    return sa.JSON().with_variant(JSONB, "postgresql")


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table(
        "nonebot_plugin_wordcloud_schedule", schema=None
    ) as batch_op:
        batch_op.alter_column(
            "target",
            existing_type=jsonb_if_postgresql_else_json(),
            nullable=False,
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table(
        "nonebot_plugin_wordcloud_schedule", schema=None
    ) as batch_op:
        batch_op.alter_column(
            "target",
            existing_type=jsonb_if_postgresql_else_json(),
            nullable=True,
        )

    # ### end Alembic commands ###
